
# Rename frequency response files created by VACS to the naming pattern used by VituixCAD

$table = @{

  _001 = -170
  _002 = -160
  _003 = -150
  _004 = -140
  _005 = -130
  _006 = -120
  _007 = -110
  _008 = -100
  _009 = -90
  _010 = -80
  _011 = -70
  _012 = -60
  _013 = -50
  _014 = -40
  _015 = -30
  _016 = -20
  _017 = -10
  _018 = 0
  _019 = 10
  _020 = 20
  _021 = 30
  _022 = 40
  _023 = 50
  _024 = 60
  _025 = 70
  _026 = 80
  _027 = 90
  _028 = 100
  _029 = 110
  _030 = 120
  _031 = 130
  _032 = 140
  _033 = 150
  _034 = 160
  _035 = 170
  _036 = 180
  
 }

 Get-ChildItem -Path .\ -File | where {$_ -match '.*_0[0,1,2,3]'} | % { $_.FullName } | foreach {
  $index = $_.Substring($_.LastIndexOf('_'), 4)
  $result = $table[$index]
 
  #echo "  $result"
  $newName =$_.replace($index, $result)
 
  #echo "$newName"
  Rename-Item -Path $_ -NewName $newName
 }
 
 